%define pkg_name        DBIx-FullTextSearch
%define pkg_version     0.73
%define rpm_pkg_version 0.73
%define rpm_pkg_release 4.n0i.7

Summary:       Index documents with MySQL as storage
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TJ/TJMATHER/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Parse::RecDescent)}
%{!?_without_test:BuildRequires: perl(DBD::mysql)}

%global perl_filter_req 'perl\\(LWP'


%description
DBIx::FullTextSearch is a flexible solution for indexing contents of
documents. It uses the MySQL database to store the information about words and
documents and provides Perl interface for indexing new documents, making
changes and searching for matches. For DBIx::FullTextSearch, a document is
nearly anything -- Perl scalar, file, Web document, database field.

%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{__mkdir_p} testconfig/DBIx/FullTextSearch/
cat << EOF > testconfig/DBIx/FullTextSearch/TestConfig.pm
%%DBIx::FullTextSearch::TestConfig::Config = (
    dsn      => 'dbi:mysql:test',
    user     => 'test',
    password => '',
);
1;
EOF

%build
%{perl_build}
# needs proper SQL connection & RDBMS settings
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{__install} -D -m0755 ftsadmin $RPM_BUILD_ROOT%{_bindir}/ftsadmin


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes README* TODO admin.cgi


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.73-4.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.73-3.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.73-2.n0i.5
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.73-2.n0i.4
- automatic rebuild (perl 5.8.6)

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 0:0.73-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.73-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Wed Jul 30 2003 Marius FERARU <altblue@n0i.net> 0.73-0.n0i
- version 0.73
